Last Comment Bug 550018 - [SeaMonkey, Debug] (Windows) Mailnews packaged tests are all T-FAIL due to missing dll(s)
: [SeaMonkey, Debug] (Windows) Mailnews packaged tests are all T-FAIL due to mi...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.4
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Windows 2000
: -- blocker (vote)
: seamonkey2.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 534408 550474
Blocks: 541225 542944
  Show dependency treegraph
 
Reported: 2010-03-03 14:18 PST by Serge Gautherie (:sgautherie)
Modified: 2010-10-27 01:21 PDT (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Package "msgbaseutil" library [Checkin: Comment 6] (2.00 KB, patch)
2010-03-03 20:07 PST, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Splinter Review
(Bv1-191) Package "msgbaseutil" library [Checkin: Comment 9+10] (2.31 KB, patch)
2010-03-04 11:05 PST, Serge Gautherie (:sgautherie)
kairo: review+
kairo: approval‑seamonkey2.0.4+
Details | Diff | Splinter Review
(Dv1) Package the non-static mail librairies, Document obsolete short names block [Checkin: Comment 14+16+17] (6.09 KB, patch)
2010-03-07 08:17 PST, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-03-03 14:18:49 PST
I downloaded a build and tried to run the xpcshell tests:
the (first) tests pass if I manually dismiss the (repetitive) dialog complaining about missing msgbsutl.dll.

KaiRo, could you confirm this is what is happening on our tinderboxes too?

***

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1267645769.1267651527.18808.gz
WINNT 5.2 comm-central-trunk leak test build on 2010/03/03 11:49:29
{
make package-compare

+bin/msgbsutl.dll
}

It looks like we may be missing to package other dlls too, which might explain some unexpected warnings/errors I already noticed in the tests logs...

I assume we never hit this failure before because we never ran debug+packaged tests.
Comment 1 Robert Kaiser 2010-03-03 15:25:12 PST
(In reply to comment #0)
> KaiRo, could you confirm this is what is happening on our tinderboxes too?

How could I?

> It looks like we may be missing to package other dlls too, which might explain
> some unexpected warnings/errors I already noticed in the tests logs...

The question is if those belong into release packages or if those might possibly belong into the test packages, and if so, how they get there.

Where does msgbsutl.dll come from? It's completely possible that we're still missing some DLLs in the shared packages, I'm happy if we can solves those!
Comment 2 Serge Gautherie (:sgautherie) 2010-03-03 18:22:36 PST
http://mxr.mozilla.org/comm-central/source/mailnews/base/util/Makefile.in?mark=47-53#44
{
47 ifndef MOZ_STATIC_MAIL_BUILD
48 LIBRARY_NAME    = msgbaseutil
50 SHORT_LIBNAME   = msgbsutl
51 else
52 LIBRARY_NAME    = msgbsutl_s
53 endif
}

All platforms misses this file on Debug.
(Only Windows is hung by its dialog, it seems.)
Comment 3 Serge Gautherie (:sgautherie) 2010-03-03 20:07:32 PST
Created attachment 430224 [details] [diff] [review]
(Av1) Package "msgbaseutil" library
[Checkin: Comment 6]
Comment 4 Serge Gautherie (:sgautherie) 2010-03-03 20:50:22 PST
I tried to briefly run the application itself:
*Does not complain about msgbsutl.dll at all :-|
*Lists some other mailnews dlls it fails to load: probably matches the non-packaged ones ;->

One step at a time...
Comment 5 Robert Kaiser 2010-03-04 06:16:50 PST
Comment on attachment 430224 [details] [diff] [review]
(Av1) Package "msgbaseutil" library
[Checkin: Comment 6]

>From: Serge Gautherie <sgautherie.bz@free.fr>
>
>Bug 550018 - [SeaMonkey 2.1, Windows] Packaged tests are all T-FAIL due to missing dll(s);
>(Av1) Package "msgbaseutil" library.
>
>diff --git a/suite/installer/package-manifest.in b/suite/installer/package-manifest.in
>--- a/suite/installer/package-manifest.in
>+++ b/suite/installer/package-manifest.in
>@@ -747,25 +747,33 @@ bin/libfreebl_32int64_3.so
> #endif
> 
> ; [OS/2]
> #ifdef XP_OS2
> @BINPATH@/MozSounds.cmd
> #endif
> 
> [mail]
>+; MailNews component binaries
> #ifndef MOZ_STATIC_BUILD
>-; MailNews component binaries (shared build only)
> @BINPATH@/components/@DLL_PREFIX@import@DLL_SUFFIX@
> @BINPATH@/components/@DLL_PREFIX@mail@DLL_SUFFIX@
> #ifdef XP_WIN32
> @BINPATH@/components/msgMapi.dll
> #endif
> @BINPATH@/components/@DLL_PREFIX@msgsmime@DLL_SUFFIX@
> #endif
>+#ifndef MOZ_STATIC_MAIL_BUILD
>+#ifdef WIN_OR_OS2
>+; To become |#ifdef XP_OS2| in bug 534408.
>+@BINPATH@/msgbsutl.dll
>+#else
>+@BINPATH@/@DLL_PREFIX@msgbaseutil@DLL_SUFFIX@
>+#endif
>+#endif
> 
> ; MailNews component xpts
> @BINPATH@/components/addrbook.xpt
> @BINPATH@/components/fts3tok.xpt
> @BINPATH@/components/import.xpt
> @BINPATH@/components/impComm4xMail.xpt
> @BINPATH@/components/mailview.xpt
> @BINPATH@/components/mime.xpt
>diff --git a/suite/installer/removed-files.in b/suite/installer/removed-files.in
>--- a/suite/installer/removed-files.in
>+++ b/suite/installer/removed-files.in
>@@ -249,16 +249,25 @@ components/tkautoc.dll
> components/tkitcmps.dll
> components/windowsproxy.dll
> components/xpautoc.dll
> components/xpc3250.dll
> components/xppref32.dll
> #endif
> ; MOZ_STATIC_BUILD
> #endif
>+#ifdef MOZ_STATIC_MAIL_BUILD
>+#ifdef WIN_OR_OS2
>+; To become |#ifdef XP_OS2| in bug 534408.
>+; At that time, copy these entries into the following |#ifdef XP_WIN| block. (Or just don't.!.)
>+msgbsutl.dll
>+#else
>+@DLL_PREFIX@msgbaseutil@DLL_SUFFIX@
>+#endif
>+#endif
> #ifdef XP_WIN
> components/appshell.dll
> components/cmdlines.dll
> components/gkparser.dll
> components/perms.dll
> components/spellchk.dll
> components/strgcmps.dll
> components/tkautoc.dll
Comment 6 Serge Gautherie (:sgautherie) 2010-03-04 07:48:51 PST
Comment on attachment 430224 [details] [diff] [review]
(Av1) Package "msgbaseutil" library
[Checkin: Comment 6]


http://hg.mozilla.org/comm-central/rev/81d4998ae662
Comment 7 Serge Gautherie (:sgautherie) 2010-03-04 11:03:35 PST
I downloaded the first build:
on my local Windows 2000, xpcshell tests now start fine :-)

Let's see the tinderbox results before proceeding.
Comment 8 Serge Gautherie (:sgautherie) 2010-03-04 11:05:16 PST
Created attachment 430375 [details] [diff] [review]
(Bv1-191) Package "msgbaseutil" library
[Checkin: Comment 9+10]

Fix failure, Allow downgrading.
Comment 9 Serge Gautherie (:sgautherie) 2010-03-04 12:25:02 PST
Comment on attachment 430375 [details] [diff] [review]
(Bv1-191) Package "msgbaseutil" library
[Checkin: Comment 9+10]


http://hg.mozilla.org/releases/comm-1.9.1/rev/d1222b6a7831
Comment 10 Serge Gautherie (:sgautherie) 2010-03-05 02:43:05 PST
Comment on attachment 430375 [details] [diff] [review]
(Bv1-191) Package "msgbaseutil" library
[Checkin: Comment 9+10]


http://hg.mozilla.org/releases/comm-1.9.1/rev/ba8f1ab41f81
(Cv1-191) Fix unedited pastes
Comment 11 Serge Gautherie (:sgautherie) 2010-03-05 08:17:15 PST
(In reply to comment #7)

Patch A fixed Windows tinderboxes too :-)
Failures are +/- like on the other platforms.

I prepared a patch to package the other missing mailnews dlls, but it "depends" on bug 534408 reviews and bug 550474 answer...
Comment 12 Serge Gautherie (:sgautherie) 2010-03-07 08:17:19 PST
Created attachment 430950 [details] [diff] [review]
(Dv1) Package the non-static mail librairies, Document obsolete short names block
[Checkin: Comment 14+16+17]

This takes account of bug 550474 decision.

I'll land it as is if you agree to later forget about the renamed dlls (which releases don't care for) [and give me a "rs=you" for that],
otherwise I'll wait for the renames in bug 534408.
Comment 13 Robert Kaiser 2010-03-09 07:36:07 PST
Comment on attachment 430950 [details] [diff] [review]
(Dv1) Package the non-static mail librairies, Document obsolete short names block
[Checkin: Comment 14+16+17]

I start to think it doesn't make sense to support non-static builds in removed-files, as we don't do releases or nightlies as shared builds any more, i.e. we never need to update from a static to a shared build, we only need to do it the other way round, i.e. from some older shared alphas or nightlies to the static builds we ship now.
r+ for now, though, but we might be able to clean up more in removed-files in the future.
Comment 14 Serge Gautherie (:sgautherie) 2010-03-09 09:26:44 PST
Comment on attachment 430950 [details] [diff] [review]
(Dv1) Package the non-static mail librairies, Document obsolete short names block
[Checkin: Comment 14+16+17]


http://hg.mozilla.org/comm-central/rev/5dee7e73eb30


(In reply to comment #13)
> we might be able to clean up more in removed-files in the future.

Indeed, that future is planned to be when SeaMonkey becomes libxul only (as Firefox is now).
Ftb, I assume the current situation is not very valuable, but I maintain it by "just in case" default :-|

Making the decision before is a possibility:
it might be as simple as adding an "non-static means no installer" error check in configure.in.!?.
Comment 15 Robert Kaiser 2010-03-09 10:28:14 PST
(In reply to comment #14)
> Making the decision before is a possibility:
> it might be as simple as adding an "non-static means no installer" error check
> in configure.in.!?.

Well, it's not that easy, as we need to allow creating packages from shared builds so we can run packaged tests on them (static doesn't build with --enable-tests, as you know).
We haven't *shipped* shared build for quite some time though (in nightlies or releases), and removed-files is only needed for updating existing installations (via installer or updater), which test boxes don't do, so we probably only need to maintain removed-files for static builds (right now, libxul will come in the future) and for legacy reasons have the files in that need to be removed from the times when we did ship shared builds.
Even that would already clean that file significantly, I think.
Comment 16 Serge Gautherie (:sgautherie) 2010-03-09 17:33:41 PST
Comment on attachment 430950 [details] [diff] [review]
(Dv1) Package the non-static mail librairies, Document obsolete short names block
[Checkin: Comment 14+16+17]


http://hg.mozilla.org/comm-central/rev/5c3256103b4a
(Ev1) Add missing 'components/' in patch Dv1.

(Damn... :-/)
Comment 17 Serge Gautherie (:sgautherie) 2010-03-09 17:55:48 PST
Comment on attachment 430950 [details] [diff] [review]
(Dv1) Package the non-static mail librairies, Document obsolete short names block
[Checkin: Comment 14+16+17]


http://hg.mozilla.org/comm-central/rev/a8a7ef44ba1d
(Fv1) Add missing '#' in patch Dv1

(Damn me/2... :-/)
Comment 18 Serge Gautherie (:sgautherie) 2010-03-11 04:51:38 PST
http://hg.mozilla.org/comm-central/rev/a566062b1c0b
(Gv1) Bug 534408 renamings.
Comment 19 Robert Kaiser 2010-04-01 14:32:46 PDT
We don't have all tests failing any more, so this is fixed, right?

Note You need to log in before you can comment on or make changes to this bug.